import type { JSON_ROOT } from "./types";
import type { ParseProjectOptions } from "./types/parsers/types";
export default class ParseContext {
    static parseJson(projectPath: string, options?: ParseProjectOptions): Promise<JSON_ROOT>;
    static parseJsonIncremental(projectPath: string, prevJson: JSON_ROOT, options?: ParseProjectOptions): Promise<JSON_ROOT>;
}
